Subject: [spring] Secdir telechat review of draft-ietf-spring-oam-usecase-09

From: Takeshi Takahashi <[email-masked]>
Date: Mon, 11 Dec 2017 23:52:17 -0800

Reviewer: Takeshi Takahashi
Review result: Has Nits

The issues I have here are very minor.
The security consideration section became better than the 06 version that I
have reviewed before, but I hope the editors could be kind enough to help
reader understand security situation better.

Minor comments:

Regarding this sentence "but it can be used to compromse security in the cse of
external IP domains", what do you mean by "compromise security"? It would be
nice if you could describe what kind of security compromise may happen in order
for the readers to understand the threats more vividly.

Editorial comments:

1. LDP had better be spelled out.
2. "skilled personal": could it be "skilled personnel"?
3. This sentence "As it is necessary to know that the information is
   stale is order to follow the instruction, as is the case with for
   example convergence events that may be ongoing at the time of
   diagnostic measurement." is not easy to understand ofr me. I see some typo
   in this sentence as well.

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 12 Dec 2017 16:57:31 +0000

Many thanks Takeshi for your review! We will fix the minor and editorial comments.

Thanks!

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Dec 12, 2017, at 2:52 AM, Takeshi Takahashi <[email-masked]<mailto:[email-masked]>> wrote:

Minor comments:

Editorial comments:

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 13 Dec 2017 13:45:52 +0000

Dear Takeshi,

We have applied the following changes to the document’s working copy, in response to your review.

Thanks again.

Section 1., paragraph 3:
EXPLANATION: Spell out LDP.

OLD:

    The system applies to monitoring of non Segment Routing Label
|   Switched Paths (LSP's) like LDP as well as to monitoring of Segment
|   Routed LSP's (section 7 offers some more information).  As compared
|   to non Segment Routing approaches, Segment Routing is expected to
|   simplify such a monitoring system by enabling MPLS topology detection
|   based on IGP signaled segments.  The MPLS topology should be detected
|   and correlated with the IGP topology, which is too detected by IGP
|   signaling.  Thus a centralized and MPLS topology aware monitoring
|   unit can be realized in a Segment Routed domain.  This topology
|   awareness can be used for Operation, Administration, and Maintenance
|   (OAM) purposes as described by this document.

NEW:

    The system applies to monitoring of non Segment Routing Label
|   Switched Paths (LSP's) like Label Distribution Protocol (LDP) as well
|   as to monitoring of Segment Routed LSP's (section 7 offers some more
|   information).  As compared to non Segment Routing approaches, Segment
|   Routing is expected to simplify such a monitoring system by enabling
|   MPLS topology detection based on IGP signaled segments.  The MPLS
|   topology should be detected and correlated with the IGP topology,
|   which is too detected by IGP signaling.  Thus a centralized and MPLS
|   topology aware monitoring unit can be realized in a Segment Routed
|   domain.  This topology awareness can be used for Operation,
|   Administration, and Maintenance (OAM) purposes as described by this
|   document.

------------------------------------------------------------------------

Section 10., paragraph 2:
EXPLANATION: Clarify what is meant by “compromise security” in concrete terms.

OLD:

    The PMS allows to insert traffic into non-SR domains.  This may be
    required in the case of an LDP domain attached to the SR domain, but
|   it can be used to compromise security in the case of external IP
|   domains and MPLS based VPNs.

NEW:

    The PMS allows to insert traffic into non-SR domains.  This may be
    required in the case of an LDP domain attached to the SR domain, but
|   it can be used to maliciously insert traffic in the case of external
|   IP domains and MPLS based VPNs.

------------------------------------------------------------------------

Section 10., paragraph 4:
EXPLANATION: Typo.

OLD:

    To limit potential misuse, access to a PMS needs to be authorized and
|   should be logged.  OAM supported by a PMS requires skilled personal
    and hence only experts requiring PMS access should be allowed to
    access such a system.  It is recommended to directly attach a PMS to
    an SR domain.  Connecting a PMS to an SR domain is technically
    possible, but adds further security issues.  A tunnel based access of
    a PMS to an SR domain is not recommended.

NEW:

    To limit potential misuse, access to a PMS needs to be authorized and
|   should be logged.  OAM supported by a PMS requires skilled personnel
    and hence only experts requiring PMS access should be allowed to
    access such a system.  It is recommended to directly attach a PMS to
    an SR domain.  Connecting a PMS to an SR domain is technically
    possible, but adds further security issues.  A tunnel based access of
    a PMS to an SR domain is not recommended.

------------------------------------------------------------------------
:

Best regards,

—

Minor comments:

Editorial comments: